Your submission was sent successfully! Close

CVE-2019-15946

Published: 05 September 2019

OpenSC before 0.20.0-rc1 has an out-of-bounds access of an ASN.1 Octet string in asn1_decode_entry in libopensc/asn1.c.

Priority

Medium

CVSS 3 base score: 6.4

Status

Package Release Status
opensc
Launchpad, Ubuntu, Debian
Upstream
Released (0.16.0-3+deb8u1)
Ubuntu 21.10 (Impish Indri) Not vulnerable
(0.20.0-1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(0.20.0-1)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(0.20.0-1)
Ubuntu 18.04 LTS (Bionic Beaver) Needed

Ubuntu 16.04 ESM (Xenial Xerus) Ignored
(end of standard support, was needed)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

Patches:
Upstream: https://github.com/OpenSC/OpenSC/commit/a3fc7693f3a035a8a7921cffb98432944bb42740